package cn.com.usky.iot.alarm.dao;

import java.util.List;

public interface YtiotVAlarmDao {
	public int getCount(String tablename, String sqlwhere);

	public List query(final String tablename, final String sqlwhere, final String order, final String dir,
			final String start, final String limit);

	public int getHJCount(String sqlwhere);

	public List HJQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);
	public List HJ2Query(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public int getSJCount(String sqlwhere);

	public List SJQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public int getRTUCount(String sqlwhere);

	public List RTUQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	
	public int getLiftCount(String sqlwhere);

	public List VideoAlarmQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public List LiftQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public int getEFCount(String sqlwhere);

	public List EFireQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public int getEFireCount(String sqlwhere);

	public int getDeviceCount(String sqlwhere);

	public List DeviceQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);

	public List queryBySQL(String sql);

	public void execSQL(String sql);
	public int execSQL1(String sql);

	 int getVideoCount(String sqlwhere);


	List<?> videoOfflienQuery(String hqlwhere, String order, String dir, String start, String limit);
	
	public int getHjOfflineCount(String sqlwhere);
	public int getWjAlarmCount(String sqlwhere);
	public int getWjDeviceCount(String sqlwhere);
	public int getWjAnalogCount(String sqlwhere);
	public List wjAlarmQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);
	public List wjDeviceQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);
	public List wjAnalogQuery(final String sqlwhere, final String order, final String dir, final String start,
			final String limit);
}
